org.keycloak.broker.provider

## Class FederatedIdentity

- java.lang.Object
- - org.keycloak.broker.provider.FederatedIdentity

-     public class FederatedIdentity
      extends Object

  Represents all identity information obtained from an `IdentityProvider` after a successful authentication.

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedIdentity(String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBrokerSessionId()`
    `String` | `getBrokerUserId()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getIdentityProviderId()`
    `String` | `getLastName()`
    `String` | `getToken()`
    `String` | `getUsername()`
    `void` | `setBrokerSessionId(String brokerSessionId)`
    `void` | `setBrokerUserId(String brokerUserId)`
    `void` | `setEmail(String email)`
    `void` | `setId(String id)`
    `void` | `setIdentityProviderId(String identityProviderId)`
    `void` | `setName(String name)`
    `void` | `setToken(String token)`
    `void` | `setUsername(String username)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedIdentity

          public FederatedIdentity(String id)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getFirstName

          public String getFirstName()

    - #### setName

          public void setName(String name)

    - #### getLastName

          public String getLastName()

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### setToken

          public void setToken(String token)

    - #### getToken

          public String getToken()

    - #### getIdentityProviderId

          public String getIdentityProviderId()

    - #### setIdentityProviderId

          public void setIdentityProviderId(String identityProviderId)

    - #### getBrokerSessionId

          public String getBrokerSessionId()

    - #### setBrokerSessionId

          public void setBrokerSessionId(String brokerSessionId)

    - #### getBrokerUserId

          public String getBrokerUserId()

    - #### setBrokerUserId

          public void setBrokerUserId(String brokerUserId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.